ValueSourceScorer (Solr 3.6.2 API)
Keywords: org.apache.solr.search.function.ValueSourceScorer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search.function
Class ValueSourceScorer

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.search.Scorer
              org.apache.solr.search.function.ValueSourceScorer

    public class ValueSourceScorer

extends Scorer

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer
`Scorer.ScorerVisitor<P extends Query,C extends Query,S extends Scorer>`

Field Summary
`protected boolean` | `checkDeletes`
`protected int` | `maxDoc`
`protected IndexReader` | `reader`
`protected DocValues` | `values`

Fields inherited from class org.apache.lucene.search.Scorer
`weight`

Fields inherited from class org.apache.lucene.search.DocIdSetIterator
`NO_MORE_DOCS`

Constructor Summary
`protected` | `ValueSourceScorer(IndexReader reader, DocValues values)`

Method Summary
`int` | `advance(int target)`
`int` | `doc()`
`int` | `docID()`
`Explanation` | `explain(int doc)`
`IndexReader` | `getReader()`
`boolean` | `matches(int doc)`
`boolean` | `matchesValue(int doc)`
`boolean` | `next()`
`int` | `nextDoc()`
`float` | `score()`
`void` | `setCheckDeletes(boolean checkDeletes)`
`boolean` | `skipTo(int target)`

Methods inherited from class org.apache.lucene.search.Scorer
`freq, getSimilarity, score, score, visitScorers, visitSubScorers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected IndexReader reader

### maxDoc

    protected final int maxDoc

### values

    protected final DocValues values

### checkDeletes

    protected boolean checkDeletes

Constructor Detail

### ValueSourceScorer

    protected ValueSourceScorer(IndexReader reader,
                                DocValues values)

Method Detail

### getReader

    public IndexReader getReader()

### setCheckDeletes

    public void setCheckDeletes(boolean checkDeletes)

### matches

    public boolean matches(int doc)

### matchesValue

    public boolean matchesValue(int doc)

### docID

    public int docID()

  Specified by:
    `docID` in class `DocIdSetIterator`

### nextDoc

    public int nextDoc()
                throws IOException

  Specified by:
    `nextDoc` in class `DocIdSetIterator`
  Throws:
    `IOException`

### advance

    public int advance(int target)
                throws IOException

  Specified by:
    `advance` in class `DocIdSetIterator`
  Throws:
    `IOException`

### doc

    public int doc()

### next

    public boolean next()

### skipTo

    public boolean skipTo(int target)

### score

    public float score()
                throws IOException

  Specified by:
    `score` in class `Scorer`
  Throws:
    `IOException`

### explain

    public Explanation explain(int doc)
                        throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD